"use strict";

var _index = require("./index");

describe("test 'fortawesomeSolidShortcode()'", () => {
  it('should be a defined function', () => {
    expect(_index.fortawesomeSolidShortcode).not.toBeUndefined();
    expect(_index.fortawesomeSolidShortcode).toBeType('function');
  });
  it('should return a defined string', () => {
    const result = (0, _index.fortawesomeSolidShortcode)('bell');
    expect(result).not.toBeUndefined();
    expect(result).toBeType('string');
  });
  it('should return a non-empty string', () => {
    const result = (0, _index.fortawesomeSolidShortcode)('bell');
    expect(result.length).not.toBe(0);
  });
  it('should return a string including the passed class name', () => {
    const result = (0, _index.fortawesomeSolidShortcode)('bell', 'social-icon');
    expect(result).toContain('social-icon');
  });
});
describe("test 'fortawesomeSolidPlugin()'", () => {
  it('should be a defined function', () => {
    expect(_index.fortawesomeSolidPlugin).not.toBeUndefined();
    expect(_index.fortawesomeSolidPlugin).toBeType('function');
  });
  describe('test the plugin', () => {
    const mockAddShortcode = jest.fn();
    const eleventyConfig = {
      addShortcode: mockAddShortcode
    };
    beforeEach(() => {
      mockAddShortcode.mockReset();
    });
    it("should call 'eleventyConfig.addShortcode()'", () => {
      (0, _index.fortawesomeSolidPlugin)(eleventyConfig);
      expect(mockAddShortcode).toBeCalledTimes(1);
    });
    it("should call 'eleventyConfig.addShortcode()' with the expected arguments", () => {
      (0, _index.fortawesomeSolidPlugin)(eleventyConfig);
      expect(mockAddShortcode).toBeCalledWith('fortawesomeSolid', _index.fortawesomeSolidShortcode);
    });
  });
});